Bug 53828 - eject refuses to unmount a CD
eject refuses to unmount a CD
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: eject (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-19 13:50 EDT by Robert M. Riches Jr.
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-20 12:32:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2001-09-19 13:50:24 EDT
Description of Problem:
Running /usr/bin/eject on a mounted filesystem should
unount the filesystem, then physically eject the disc.
Instead, it gives an error message.

Version-Release number of selected component (if applicable):
2.0.2-7

How Reproducible:
100% or nearly 100%

Steps to Reproduce:
1. mount /mnt/cdrom
2. eject
3. 

Actual Results:
eject: unable to eject, last error: Invalid argument
(returned $status is 1)

Expected Results:
should unmount the filesystem, then eject the disc

Additional Information:
In case hardware is relevant, this is on a UP2000, using
a Plextor Ultraplex Wide drive on the SE side of the onboard
SCSI subsystem.

I also have a Yamaha CRW8424S CD writer, and (when using it
as a reader), eject refuses to extent the Yamaha's tray when
there is no CD in the Yamaha.  I'm not certain this is 100%
repeatable.
Comment 1 Ngo Than 2001-09-20 12:32:46 EDT
Please try 2.0.11-1. It should fix this problem. You will find it in next
rawhide release.

Note You need to log in before you can comment on or make changes to this bug.